import os
from tqdm import tqdm
import numpy as np
import matplotlib.pyplot as plt
import sys

sys.path.insert(0, '../')

from utils import isARawImage, Color, getColorChannel, mergeSingleColorChannelImagesAccordingToBayerFilter, iterativeMean

#images = []
folder = '../rafael/230424'
meanImages = iterativeMean()

for file in tqdm(os.listdir(folder)):
    if isARawImage(file):
        #print(file)
        filePath = f'{folder}/{file}'
        imageColorChannels = {color: getColorChannel(filePath, color) for color in Color}
        imageMergedColorChannels = mergeSingleColorChannelImagesAccordingToBayerFilter(imageColorChannels)
        #images += [imageMergedColorChannels]
        meanImages.add(imageMergedColorChannels)

#print(np.mean(images, axis = 0).shape)
print(meanImages.shape)

plt.imshow()
plt.show()